ReferenceCompanies
Create a company branch
Adds a branch to the company and returns it with status 201. Requires `Permissions.Companies.Create`.
POST
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
companyId*integerFormat
int32application/json- body
address1?|Length
length <= 80address2?|Length
length <= 80address3?|Length
length <= 80barcode?|Length
length <= 16branchCreationDate?|Format
date-timecity?|Length
length <= 80companyId?|Format
int32companyIdentificationNumber?|Length
length <= 50country?|Length
length <= 80countryId?|Format
int32customerId?|Format
int32deliveryDays?|Format
int32districtId?|Format
int32email1?|Length
length <= 80email2?|Length
length <= 80email3?|Length
length <= 80email4?|Length
length <= 80frameworkOrder?|Length
length <= 80gps?|Length
length <= 150homelandAbroadOwn?|Format
int32id?|Format
int32isB2BEnabled?boolean|nullisInactive?boolean|nulllinkB2BWarehouseId?|Format
int32linkUserId?|Format
int32linkWarehouseId?|Format
int32name?|Length
length <= 80note?string|nullnumber?|Length
length <= 20paymentTypeId?|Format
int32person1?|Length
length <= 80person2?|Length
length <= 80person3?|Length
length <= 80person4?|Length
length <= 80phone1?|Length
length <= 80phone2?|Length
length <= 80phone3?|Length
length <= 80phone4?|Length
length <= 80regionId?|Format
int32routeId?|Format
int32routeOrder?|Format
int32salesRepresentativeId?|Format
int32storeChainName?|Length
length <= 80transportTypeId?|Format
int32vatCode?|Length
length <= 5vatRegistrationNumber?|Length
length <= 50visitFrequency?|Length
length <= 20zipCode?|Length
length <= 50application/json- response
address1?|Length
length <= 80address2?|Length
length <= 80address3?|Length
length <= 80barcode?|Length
length <= 16branchCreationDate?|Format
date-timecity?|Length
length <= 80companyId?|Format
int32companyIdentificationNumber?|Length
length <= 50country?|Length
length <= 80countryId?|Format
int32customerId?|Format
int32deliveryDays?|Format
int32districtId?|Format
int32email1?|Length
length <= 80email2?|Length
length <= 80email3?|Length
length <= 80email4?|Length
length <= 80frameworkOrder?|Length
length <= 80gps?|Length
length <= 150homelandAbroadOwn?|Format
int32id?|Format
int32isB2BEnabled?boolean|nullisInactive?boolean|nulllinkB2BWarehouseId?|Format
int32linkUserId?|Format
int32linkWarehouseId?|Format
int32name?|Length
length <= 80note?string|nullnumber?|Length
length <= 20paymentTypeId?|Format
int32person1?|Length
length <= 80person2?|Length
length <= 80person3?|Length
length <= 80person4?|Length
length <= 80phone1?|Length
length <= 80phone2?|Length
length <= 80phone3?|Length
length <= 80phone4?|Length
length <= 80regionId?|Format
int32routeId?|Format
int32routeOrder?|Format
int32salesRepresentativeId?|Format
int32storeChainName?|Length
length <= 80transportTypeId?|Format
int32vatCode?|Length
length <= 5vatRegistrationNumber?|Length
length <= 50visitFrequency?|Length
length <= 20zipCode?|Length
length <= 50curl -X POST 'https://<your-instance>/api/companies/0/branches' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "address1": "Main Street 12", "city": "Prague", "companyId": 2, "companyIdentificationNumber": "12345678", "country": "Czech Republic", "countryId": 1, "customerId": 5, "deliveryDays": 3, "districtId": 101, "email1": "[email protected]", "gps": "50.0755,14.4378", "isB2BEnabled": true, "isInactive": false, "name": "Downtown Branch", "note": "Main branch for the region", "paymentTypeId": 2, "person1": "Jan Novak", "phone1": "+420 123 456 789", "regionId": 10, "routeId": 1, "routeOrder": 1, "salesRepresentativeId": 8, "storeChainName": "Market Central", "transportTypeId": 3, "vatCode": "CZ", "vatRegistrationNumber": "CZ12345678", "visitFrequency": "Weekly", "zipCode": "11000"}'{ "address1": "string", "address2": "string", "address3": "string", "barcode": "string", "branchCreationDate": "2019-08-24T14:15:22Z", "city": "string", "companyId": 0, "companyIdentificationNumber": "string", "country": "string", "countryId": 0, "customerId": 0, "deliveryDays": 0, "districtId": 0, "email1": "string", "email2": "string", "email3": "string", "email4": "string", "frameworkOrder": "string", "gps": "string", "homelandAbroadOwn": 0, "id": 0, "isB2BEnabled": true, "isInactive": true, "linkB2BWarehouseId": 0, "linkUserId": 0, "linkWarehouseId": 0, "name": "string", "note": "string", "number": "string", "paymentTypeId": 0, "person1": "string", "person2": "string", "person3": "string", "person4": "string", "phone1": "string", "phone2": "string", "phone3": "string", "phone4": "string", "regionId": 0, "routeId": 0, "routeOrder": 0, "salesRepresentativeId": 0, "storeChainName": "string", "transportTypeId": 0, "vatCode": "strin", "vatRegistrationNumber": "string", "visitFrequency": "string", "zipCode": "string"}